#class for an animated character that can face 2 directions
#put together for the intro sequence - should be extended

from pygsear.Drawable import AnimatedImage
from pygsear.Path import VelocityPath

class AnimatedChara():
    def __init__(self, dirname):
        self.direction = []
        animation = AnimatedImage(dirname=dirname+'down/')
        self.direction.append(animation)
        animation = AnimatedImage(dirname=dirname+'left/')
        self.direction.append(animation)
        self.image = self.direction[0]
        
    def move_down(self):
        self.image = self.direction[0]

    def get_position(self):
        return self.image.get_position()
    def set_position(self):
        self.image.set_position()

