#
# The player class

from pygsear.Drawable import MultiImage
from pygsear.Path import LinePath
from pygame.locals import K_LEFT, K_RIGHT, K_UP, K_DOWN

class Player(MultiImage):
    def __init__(self, imgdir):
        MultiImage.__init__(self, dirname=imgdir, defaultImage='guy_down.png')
        self.keys = 0
        self.coords = (0,0)
        self.looking = 'down'

#TODO: Pseudo-seamless movement with animation   
    def move_up(self, ev=None):
        self.nudge(dy=-32)
        self.coords = (self.coords[0], self.coords[1]-1)
        self.looking = 'up'
        
    def move_down(self, ev=None):
        self.nudge(dy=32)
        self.coords = (self.coords[0], self.coords[1]+1)
        self.looking = 'down'
        
    def move_left(self, ev=None):
        self.nudge(dx=-32)
        self.coords = (self.coords[0]-1, self.coords[1])
        self.looking = 'left'
        
    def move_right(self, ev=None):
        self.nudge(dx=32)
        self.coords = (self.coords[0]+1, self.coords[1])
        self.looking = 'right'

       
        
        
