from pygame.locals import K_LEFT, K_RIGHT, K_UP, K_DOWN
from pygsear.Util import load_sound
import pygame.mixer

pygame.mixer.init()
def convert_coords(pos):
    """Converts pixel coordinates for array usage"""
    x = pos[0]
    y = pos[1]
    row_offset = 32
    col = int(x / 32)
    row = int((y-row_offset) / 32)
    return (col, row)

#If I don't comment this soon, I will forget how that was done. X.X
AI_Checklist1 = [{'up': K_LEFT,
                'down': K_RIGHT ,
                'left': K_DOWN ,
                'right': K_UP },
                {'up': K_UP,
                 'down': K_DOWN,
                 'left': K_LEFT,
                 'right': K_RIGHT},
                {'up': K_RIGHT,
                 'down': K_LEFT,
                 'left': K_UP,
                 'right': K_DOWN},
                {'up': K_DOWN,
                 'down': K_UP,
                 'left': K_RIGHT,
                 'right': K_LEFT}
                ]
                

AI_Checklist2 = [{'up': K_RIGHT,
                 'down': K_LEFT,
                 'left': K_UP,
                 'right': K_DOWN},
                {'up': K_UP,
                 'down': K_DOWN,
                 'left': K_LEFT,
                 'right': K_RIGHT},
                {'up': K_LEFT,
                'down': K_RIGHT,
                'left': K_DOWN,
                'right': K_UP },
                {'up': K_DOWN,
                 'down': K_UP,
                 'left': K_RIGHT,
                 'right': K_LEFT}
                ]


##SND_dir = 'data/sounds/'
##SND_breakup = load_sound(SND_dir+'breakup.ogg')
##SND_breakup.play()

def load_sound(filename):
    dirname = 'data/sounds/'
    sound = pygame.mixer.Sound(dirname+filename)
    return sound

SND_breakup = load_sound('breakup.ogg')
SND_button = load_sound('button.ogg')
SND_close_stairs = load_sound('close_stairs.ogg')
SND_key = load_sound('key.ogg')
SND_door = load_sound('keydoor.ogg')
SND_stairs_up = load_sound('stairs_up.ogg')
